<template>
<v-form ref="form" v-model="valid">
  <div class="fields">
    <v-text-field 
      v-for="(field, index) in fields"
      v-model="field.value"
      :counter="field.counter"
      :rules="field.rules"
      :label="field.label"
      :key="index"
      required
    />
  </div>
  <div class="content-footer">
    <st-secondary-btn nombre="Cancelar" @click="$emit('cancel')"/>
    <st-primary-btn nombre="Siguiente" :disable="!valid" @click="goNext()"/>
  </div>
</v-form>
</template>

<script>
export default {
  props:{
    data: Object
  },
  data () {
    return{
      valid:false,
      fields:{
        name:{
            value:'',
            label:'Nombre de Facultad',
            counter: '150',
            rules:[
                v => (v && v.length <= 150) || 'Escribir el nombre de la facultad.'],
            },
        code:{
            value:'',
            label:'Código',
            counter: '8', 
            rules:[
                v => (v && v.length <= 150) || 'Escribir el código.'],
        },
      }
    }
  },
  mounted(){
    if(this.data){
      let fields = this.fields
      let data = this.data
      fields.name.value = data.nombre.value
      fields.code.value = data.codigo.value
    }
  },
  methods: {
    goNext(){
      let data = {
        codigo: this.fields.code.value,
        nombre: this.fields.name.value,
      }
      this.$emit('next',data)
    }
  },
}
</script>

<style scoped lang="scss"> 
/* scope for encapsulate css */
</style>